org.apache.cassandra.cql3.functions

## Class BytesConversionFcts

- java.lang.Object
- - org.apache.cassandra.cql3.functions.BytesConversionFcts

    public abstract class BytesConversionFcts
    extends java.lang.Object

### Field Summary

Fields
`static Function` `BlobAsVarcharFct`
`static Function` `VarcharAsBlobFct`

### Constructor Summary

Constructors
Constructor and Description
`BytesConversionFcts()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.util.Collection<Function>` `all()`
`static Function` `makeFromBlobFunction(AbstractType<?> toType)`
`static Function` `makeToBlobFunction(AbstractType<?> fromType)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### VarcharAsBlobFct

    public static final Function VarcharAsBlobFct

#### BlobAsVarcharFct

    public static final Function BlobAsVarcharFct

### Constructor Detail

#### BytesConversionFcts

    public BytesConversionFcts()

### Method Detail

#### all

    public static java.util.Collection<Function> all()

#### makeToBlobFunction

    public static Function makeToBlobFunction(AbstractType<?> fromType)

#### makeFromBlobFunction

    public static Function makeFromBlobFunction(AbstractType<?> toType)